
[Wiki](https://gitee.com/smartchart/smartchart/wikis/pages) \|
[Community](https://www.smartchart.cn/) \|
[Sponsors](https://www.smartchart.cn/) \|
[GitHub](https://github.com/JohnYan2017/Echarts-Django) \|
[Gitee](https://gitee.com/smartchart/smartchart)

<p align="center">
	<a href="https://www.smartchart.cn"><img src="https://www.smartchart.cn/media/editor/WechatIMG51_20210117224243671223.png" width="45%"></a>
</p>
<p align="center">
	<strong>A platform that Connect Data to Echarts.</strong>
</p>
<p align="center">
	<a href="https://www.smartchart.cn">https://www.smartchart.cn</a>
</p>

<p align="center">
    <img src="https://img.shields.io/badge/Release-V5.0-green.svg" alt="Downloads">
	<a target="_blank" href="https://www.python.org/downloads/release/python-390/">
		<img src="https://img.shields.io/badge/Python-3.6+-green.svg" />
	</a>
	<a href='https://gitee.com/smartchart/smartchart/members'><img src='https://gitee.com/smartchart/smartchart/badge/fork.svg?theme=dark' alt='fork'></a>
	<a href='https://gitee.com/smartchart/smartchart/stargazers'><img src='https://gitee.com/smartchart/smartchart/badge/star.svg?theme=dark' alt='star'></a>
	<a target="_blank" href='https://github.com/JohnYan2017/Echarts-Django'>
		<img src="https://img.shields.io/github/stars/JohnYan2017/Echarts-Django.svg?style=social" alt="github star"/>
	</a>
</p>
<p align="center">
	<a href="https://qm.qq.com/cgi-bin/qm/qr?k=eC34KwVvEtMvfh8Zyn1RSfYlzZvuvm7i&jump_from=webapi"><img src="https://img.shields.io/badge/QQ群-476715246-orange"/></a>
   <a target="_blank" href="https://www.smartchart.cn">
   <img src="https://img.shields.io/badge/Author-John%20Yan-ff69b4.svg" alt="Downloads">
 </a>
 <a target="_blank" href="https://www.smartchart.cn">
   <img src="https://img.shields.io/badge/Copyright%20-@smartchart.cn-%23ff3f59.svg" alt="Downloads">
 </a>
</p>

-------------------------------------------------------------------------------

[**English Documentation**](README-EN.md)

-------------------------------------------------------------------------------

### 简介
- Smartchart是数据可视化,大屏,移动报表,WEB应用的微代码开发平台
- 简单, 敏捷, 高效,通用化, 高度可定制化, 让你的项目瞬间档次提升
- 完全真正打通前后端, 支持图形数据联动,筛选,钻取, 支持几乎常见的所有数据库
- 积木式的开发模式, 支持拖拽布局, 开箱即用, 安装简单, 依赖少, 适应各种平台
- 支持Django App插件方式应用, 支持数据分析Jupyter方式应用
- 内存加速技术, 让你的数据快人一步, 大幅减少数据库压力
- 没有重复学习成本, 高度可定制化, 注意是高度可定制化!!

![大数据](https://www.smartchart.cn/media/editor/微信截图_20211202163316_20211202163647765791.png)
![smartchart](http://smartchart.cn/media/editor/qyj01show_20210306112736437498.png)

### 样列
- [SmartChart大屏样列-智慧城市_大数据大屏](https://www.smartchart.cn/echart/?type=智慧城市_大数据大屏 "大屏样列-智慧城市_大数据大屏")
- [SmartChart集成DataV](https://www.smartchart.cn/echart/?type=Smartchart_DataV "集成DATAV")
- [Smartchart图形数据联动](https://www.smartchart.cn/echart/?type=评论分析 "图形数据联动")

### 快速开始
#### 安装Python环境
- 环境准备: 官方[最新Python下载链接](https://www.python.org/downloads/release/python-390/ "最新Python下载链接")
如果下载太慢, 可以到[淘宝镜象下载](https://npm.taobao.org/mirrors/python/3.9.0/ "淘宝镜象下载")
也可以直接下载[WINDOWS64位安装版](https://npm.taobao.org/mirrors/python/3.9.0/python-3.9.0-amd64.exe "WINDOWS64位安装版")
[MAC电脑安装版](http://npm.taobao.org/mirrors/python/3.9.0/python-3.9.0rc2-macosx10.9.pkg "MAC电脑安装版")
- [Window平台安装视屏介绍](https://www.ixigua.com/6910413586208653837?id=6901867671193649668 "Window平台安装视屏介绍")
**注意: Windows安装Python时需选中"Add to Path"**

#### 安装SmartChart
```shell script
   pip3 install smartchart
   
   如果安装过程慢,建意使用
   pip3 install -i https://pypi.tuna.tsinghua.edu.cn/simple smartchart -U

   升级方法:
   pip3 install smartchart -U (升级)
```

 [SmartChart入门文档入口](https://gitee.com/smartchart/smartchart/wikis/ "SmartChart入门")


### 应用场景一: 快速启动, 独立平台使用(推荐!)
```shell script
   本地命令行启动: 
   smartchart
   或smartcharts(自动打开网页)
   如果你是服务器部署,远程访问,服务端启动方式: 
   smartchart runserver 0.0.0.0:8000 --insecure --noreload
```
**管理员帐号密码: admin/admin, 请及时更改密码**

 [SmartChart入门文档入口](https://gitee.com/smartchart/smartchart/wikis/ "SmartChart入门")


-------------------------------------------------------------------------------

### 应用场景二: 在python,Jupyter中作为数据分析使用
**支持像pyecharts,Matplotlib等python绘图工具一样在Jupyter中使用, 更加方便, 更加炫酷**
**仅仅只有两个命令,get and set, 简化数据分析工作**
![](https://www.smartchart.cn/media/editor/WX20210103-181343@2x_20210103181856302575.png)


-------------------------------------------------------------------------------
### 应用场景三: 外部系统对接方式
使用方法参考文档

-------------------------------------------------------------------------------
### 应用场景四: 在django项目中当作apps使用
**django新手不建意使用此方法**
- django新手推荐下载此项目使用
```shell script
请直接下载gitee/github的项目后
pip install smartchart
启动方式 python manage.py runserver
帐号: admin/admin
```

- 如果你动手能力强, 对django熟悉的, 可以参考Wiki中的说明进行自行加入


### 数据库支持说明

- 默认支持的有mysql,sqlite,API,EXCEL数据, 你可以使用python连接器扩展任意数据源
- SQL Server     需安装 pip install pymssql
- ORACLE         需安装 pip install cx_Oracle
- GP,Postgrep    需安装 pip install psycopg2
- Impala         需安装 pip install impyla
- DB2            需安装 pip install ibm_db
- Python         需安装 pip install pandas, openpyxl
- ....

### 联系我们与帮助
**安装及使用问题,可加以下微信号**

<img src="https://www.smartchart.cn/media/editor/QQ20201201-140615@2x_20201201140657981573.png" alt="smartchart" height="150" />

你也可以加入QQ群进行普通问题讨论

**QQ群: 476715246  暗号: smartchart**

-------------------------------------------------------------------------------

### 开发指引与声明:
**此项目为前端代码开源(需保留作者信息)**
```shell script
对应的项目目录说明:

templates/echart  -- 编辑器界面,首页Portal
static/echart     -- 扩展前端数据处理函数(图形编辑中可用)
static/editor     -- 编辑器界面js
static/custom     -- 你可以在此新建人个文件夹存放自定义css, js, image ..

```


#### Change Log
```shell script
2020/12/14  静态资源本地化
v3.9.8.2    支持所有常见数据库,支持VUE,DATAV
v3.9.8.7    支持Jupyter,支持一键分享和应用dashboard模板
v3.9.8.9    帐号绑定功能上线
v3.9.8.10   用户自定义图形管理上线
v3.9.8.17   支持最新的Echarts5.0, 优化加载速度
v3.9.8.20   用户自定义图形管理功能升级
v3.9.8.23   Echarts升级5.0.1, 支持一个数据集对应多查询, 资源本地化
v3.9.9.0    print函数优化,新增数据透视函数,个人静态资源路径显示, db2支持
v3.9.9.1    开发界面美化
v3.9.9.5    开发界面优化,fix定时刷新BUG,新增批量数据集删除
v3.9.9.7    增加python连接器,数据池,自定义主模板,优化开发界面
v3.9.9.10   DIV设定中可以写css,新增内置动态表格,优化布局支持,增加config文件
v3.9.9.12   优化后台数据处理性能,Jupyter使用体验
v3.9.9.16   新增模板编辑功能,增加嵌入报表TOKEN方式,优化编辑界面,优化连接池选择
v3.9.9.18   修复vue bug, 增加elementUI支持, 优化DataV开发体验
v3.9.9.24   模板开发界面增加编辑功能,自动建立数据集,新增数据集测试功能,Echarts升级到5.2
v3.9.9.25   增加变更未保存提示,数据集选择执行,优化保存模板重复提交的问题
v3.9.9.28   Admin适配UI, 资源文件优化
v3.9.9.33   增加文件上传功能,增加basesimple模板,优化开发菜单
v4.0
- 取消boostrap布局,采用全新的24格或12格网格布局,更小的文件引用,更方便的功能
- 增加拖拽布局方式,同时不损失自由开发模式, 可混合使用
- 增加HTML组件区别与数据集组件
- 更为用户友好的首页,全新的UI体验, 自动识别用户与开发者身份
- 优化了开发菜单, 增强用户开发体验
- 数据集开发界面完成数据源,后台同步, 前端同步修改
v5.0
- 全新开发UI体验, 优化拖拽
- 完全移除boostrap, 减少安装包
- 全部40个图形主题开放
- 新增自定义主题开发功能,新增调色器
- 新增嵌入和弹出窗口开发切换
- 联动钻取界面化
- 图形编辑器优化增加常用图形一键导入
- 增加模板t3兼容3.0报表
- 增加数据集开发可设定图形联动
- 增加数据集开发可设定缓存及定时
- 增加数据集开发可一键转化为共享数据集
```
-------------------------------------------------------------------------------

### 更多使用说明:
**SmartChart designed for you / SmartChart是为你而生的一个产品,** 

你只需要使用通用开发技术就可以使用, 因为她的通用性, 所以让你的知识不会因为改变而淘汰
因为她的灵活性, 你可以充分发挥你的智慧让她变得非常的Smart
抛弃繁琐的操作, 加速你的开发效率, 和BI产品相比, 如同Linux与Window的区别

- 开始使用smart chart, 您不需要任何专业知识, 无需coding, 选择模块组装即可!
- 但如果要使用好smart chart, 建意了解下javascript, H5, Echarts这些前端知识, 可以让你的应用更加得心应手,创作更炫的效果
- 如果你需要更进一步订制你的数据, 你需要了解下SQL的使用,本项目高级应用语言都是通用的技能, 象js, h5,sql 学习成本低

- [SmartChart入门文档入口](https://gitee.com/smartchart/smartchart/wikis/ "SmartChart入门")

**参考视屏,建意观看,有些可能有些久,可进入后关注作者头条号, 查看最新视屏, 请对比最新文档**

**产品迭代较快, 请关注作者头条或B站号, 查看最新视屏!!!**
- [Smartchart4.0介绍](https://www.bilibili.com/video/BV1PD4y1c7uz "4.0")
- [Smartchart5.0介绍](https://www.bilibili.com/video/BV1fm4y1Q7DG "5.0")
- [Smartchart数据库与数据集SQL](https://www.ixigua.com/6910413586208653837?id=6902584882958959116 "SQL")
- [Smartchart数据库与图形的对话](https://www.ixigua.com/6910413586208653837?id=6910373199603565063 "布局")

**Jupyter相关**
- [Smartchart与Pandas](https://www.ixigua.com/6910413586208653837?id=6918162479646245389 "smartchart")
- [Smartchart与Jupyter](https://www.ixigua.com/6910413586208653837?id=6917989046132310535 "smartchart")
- [SmartChart大屏新思路](https://www.ixigua.com/6921133676189352456 "smartchart")
- [SmartChart的Python连接器](https://www.ixigua.com/6944159294069670437 "smartchart")
